Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/control
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/control	(revision 3788)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/control	(revision 3789)
@@ -1,3 +1,3 @@
-Package: enigma2-plugin-picons-hd.picons.astra19.2
+Package: enigma2-plugin-picons-piconshd.astra19.2
 Version: 1.0
 Architecture: sh4
@@ -8,3 +8,3 @@
 Homepage: http://www.aaf-digital.info
 Source: http://www.aaf-digital.info
-Description: 3d HD Picons for Astra 19.2 from 06.08.2010
+Description: 3d HD Picons for Astra 19.2 from 06.08.2010 ! HD size for HD and Kingsize Skins!
Index: /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst
===================================================================
--- /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst	(revision 3788)
+++ /ipk/source/picons_HD_astra19.2_1_0/CONTROL/preinst	(revision 3789)
@@ -21,7 +21,28 @@
 	echo "detected USB Image...."
 	echo "ok..."
-elif [ "$model" = "ufs912" ]; then
+elif [ "$model" = "ufs912" ] || [ "$model" = "at7000" ] || [ "$model" = "at700" ]; then
 	echo "detected Boxtype : $model...."
 	echo "ok..."
+	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
+		echo "check ok...installing to swap...."
+	else
+		if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+			SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+			FREE=`expr $SPACE - 100`
+			SIZE=4150
+			echo "checking freespace in flash"
+			echo packege size $SIZE kb
+			echo freespace size $FREE kb
+			if  [ "$FREE" -lt "$SIZE" ]; then
+				echo "sorry no freespace left on device"
+				echo "ERROR: this package will not fit in your flash..."
+				echo "...you need a swapstick to install the package on your $model...!"
+				echo "aborting installation..."
+				exit 1
+			else
+				echo freespace ok
+			fi
+		fi
+	fi
 else
 	if [ `ls -la /var/usr/local/share/enigma2 | grep "/var/swap/picon" | wc -l` -ge 1 ]; then
